## jflex 1.3.5

=== src/Makefile ===
# you need JFlex 1.2.2 and CUP 0.10j or later for this Makefile to work

JFLEX     = jflex -skel skeleton.nested
CUP       = java java_cup.Main 

JAVAC     = javac -target 1.1 -bootclasspath /usr/lib/jdk1.1/lib/classes.zip
#JAVAC     = jikes   
JAR       = jar

DEST      = ../lib

# jdk 1.2 
CLPATH    = -classpath /usr/lib/java/jre/lib/rt.jar:.

# jdk 1.1
#CLPATH    = -classpath /usr/lib/java/lib/classes.zip:.

# ------------------------------------------------------------

JAVAC_FLAGS = 
JARFILE     = JFlex.jar


all: jflex jar

build: clean jflex jar

install:
	cd ../bin; ln -s `pwd`/jflex /usr/bin/jflex

clean: jarclean classclean genclean
	rm -f `find . -name "*~"`

genclean:
	rm -f JFlex/sym.java
	rm -f JFlex/LexParse.java
	rm -f JFlex/LexScan.java

classclean:
	rm -rf $(DEST)/java_cup $(DEST)/JFlex
	rm -f `find . -name "*.class"`

jarclean:
	rm -f $(DEST)/$(JARFILE)

parser: JFlex/LexParse.java 

scanner: JFlex/LexScan.java

JFlex/LexScan.java: JFlex/LexScan.flex
	$(JFLEX) JFlex/LexScan.flex

JFlex/LexParse.java: JFlex/LexParse.cup
	cd JFlex; $(CUP) -interface -parser LexParse < LexParse.cup

jflex: scanner parser
	$(JAVAC) $(CLPATH) $(JAVAC_FLAGS) -d $(DEST) JFlex/Main.java JFlex/anttask/JFlexTask.java

jar: jarclean
	echo "Main-Class: JFlex.Main" > $(DEST)/manifest
	cd $(DEST); $(JAR) -c0mf manifest $(JARFILE) JFlex java_cup
	rm -rf $(DEST)/java_cup $(DEST)/JFlex $(DEST)/manifest

=== examples/java/Makefile ===
# You need CUP v0.10j (or newer) for this makefile to work (for java12.cup)
#
# CUP classes should be included in CLASSPATH 

CUP        = java java_cup.Main -interface <
JFLEX      = jflex
JAVAC      = javac
#JAVAC      = jikes 
JAVACFLAGS = 

# --------------------------------------------------

all: compile

compile: scanner parser unicode
	$(JAVAC) $(JAVACFLAGS) JavaParser.java

parser: parser.java 

parser.java: java12.cup
	$(CUP) java12.cup

scanner: Scanner.java

Scanner.java: java.flex
	$(JFLEX) java.flex

unicode: UnicodeEscapes.java

UnicodeEscapes.java: unicode.flex
	$(JFLEX) unicode.flex

clean:
	rm -f *.class
	rm -f *~
	rm -f Scanner.java
	rm -f parser.java
	rm -f sym.java
	rm -f UnicodeEscapes.java

=== examples/standalone/Makefile ===
all: run

run: Subst.class
	java Subst sample.inp

Subst.class: Subst.java
	javac Subst.java

Subst.java: standalone.flex
	jflex standalone.flex

clean:
	rm -rf *.class *~ *.java

## jflex 1.4.3

=== examples/binary/Makefile ===

JAVA  = java
JAVAC = javac
JFLEX = jflex

# -------------------------------------------------

all: run

run: compile
	$(JAVA) BinaryLexer *

compile: BinaryLexer.class StraightStreamReader.class

clean:
	rm -f *~ *.class BinaryLexer.java

%.class: %.java
	$(JAVAC) $^

BinaryLexer.java: binary.flex
	$(JFLEX) $^

=== examples/interpreter/Makefile ===
# uses JFlex >= 1.3.2, and CUP >= 0.10j
#
# targets:
#
# make all                                                            
#    generates lexer, and parser, and compiles all *.java files
#                                                                     
# make run (or just: make)                                           
#    starts the program on a test example
#                                                                     



.SUFFIXES: $(SUFFIXES) .class .java

.java.class:
	javac $*.java

FILE=	Yylex.java      parser.java    sym.java \
	SymTab.java	AST.java \
	Tnumber.java	Tident.java	Texp.java	\
	Tfun.java	Texpinfix.java	Tuminus.java	\
	Tboolexp.java	Tifthenelse.java		\
	Tdekl.java	Tdekllist.java			\
	Tparlist.java   Texplist.java	Tprogram.java	\
	Main.java \
	SymtabEntry.java STEfun.java	STEvar.java


run: all
	java Main < example.as

all: Yylex.java parser.java $(FILE:java=class)

clean:
	rm -f *.class *~ *.bak Yylex.java parser.java sym.java

Yylex.java: scanner.flex
	jflex scanner.flex

parser.java: parser.cup
	java java_cup.Main -interface < parser.cup

=== debian/changelog ===
jflex (1.4.3-3) unstable; urgency=low

  * Upload in unstable
  * Update Standards-Version to version 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 06 May 2013 09:27:25 +0200

jflex (1.4.3-3~exp1) experimental; urgency=low

  * Update Standards-Version to version 3.9.3
  * Add myself among the uploaders

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Apr 2013 19:19:39 +0200

jflex (1.4.3-2) unstable; urgency=low

  * Team upload.
  * Remove Arnaud and Paul from Uploaders list.
  * Switch to source format 3.0. Use dpkg's internal quilt instead of cdbs'
    simple patchsys.
  * Install file debian/logo.gif instead of the corrupt doc/logo.gif.
    (Closes: #578875)

 -- Torsten Werner <twerner@debian.org>  Sat, 06 Aug 2011 18:55:47 +0200

jflex (1.4.3-1) unstable; urgency=low

  * New upstream (bug fix) release
  * Fixed dangling symlink in usr/share/ant/lib (Closes: #538063)
  * Bumped Standards-versions to 3.8.2 - no changes required.
  * Bumped to debhelper version 7.
  * Fixed spelling errors.
  * Corrected section to java.
  * Corrected some paths in debian/rules and debian/docs.

 -- Niels Thykier <niels@thykier.net>  Thu, 23 Jul 2009 21:07:58 +0200

jflex (1.4.2-2) unstable; urgency=low

  * debian/copyright: Update, mention GPL v2 explicitly.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Jan 2009 12:07:57 +0100

jflex (1.4.2-1) unstable; urgency=low

  [Matthias Klose]
  * New upstream (bug fix) release.
  * Build-depend on default-jdk, depend on default-jre-headless.
  * debian/patches/03_build_xml_target.patch: Update.

  [Paul Cager]
  * Added watch file.
  * Added symlink from ant's lib directory
    (Closes: #388371 - JFlexTask cannot be found).
  * debian/control:
    + Removed Wolfgang Baer from uploaders and added myself.
    + Add Homepage field.
    + Add Vcs-Svn and Vcs-Browser.
    + Build-Depends-Indep on java-gcj-compat-dev instead of kaffe.
    + Updated Standards-Version to 3.8.0.
    + Moved cdbs and debhelper to Build-Depends.
  * debian/copyright
    + Removed lintian warnings about file format.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 09 Jan 2009 11:20:59 +0100

jflex (1.4.1-3) unstable; urgency=low

  * added myself as an uploader.
  * removed Takashi Okamoto from the uploaders (closes: #352980).

 -- Arnaud Vandyck <avdyk@debian.org>  Thu,  9 Mar 2006 21:36:42 +0000

jflex (1.4.1-2) unstable; urgency=low

  * kaffe compiler transition
    + Removed build compiler jikes setting
    + Added patch to raise target to 1.3 (needed by ecj)

 -- Wolfgang Baer <WBaer@gmx.de>  Mon, 16 Jan 2006 11:37:07 +0100

jflex (1.4.1-1) unstable; urgency=low

  * New upstream release (closes: #248259)
  * Transferred maintainership to pkg-java maintainers
  * Changed build system to use ant, cdbs
  * Added a compat file
  * Changed dependency to comply with debian java policy (closes: #237823)
  * Removed jflex, cup dependency and patch build file to 
    use the included pregenerated files to avoid dep on itself
  * Register documentation with doc-base
  * Fixed outdated URL in examples/byaccj (closes: #306528)
  * Extracted all patches from diff.gz into debian/patches
  * Wrote a simple manpage for jflex
  * Standards-Version 3.6.2 (no changes)

 -- Wolfgang Baer <WBaer@gmx.de>  Thu,  6 Oct 2005 20:34:44 +0200

jflex (1.3.5-7) unstable; urgency=low

  * fixed type in control file. (closes: #215478)

 -- Takashi Okamoto <tora@debian.org>  Tue, 14 Oct 2003 00:41:58 +0900

jflex (1.3.5-6) unstable; urgency=low

  * fixed FTBFS (closes: #201450)

 -- Takashi Okamoto <tora@debian.org>  Sun, 31 Aug 2003 19:31:54 +0900

jflex (1.3.5-5) unstable; urgency=low

  * fixed FTBFS (closes: #166595)

 -- Takashi Okamoto <tora@debian.org>  Sun, 31 Aug 2003 19:31:46 +0900

jflex (1.3.5-4) unstable; urgency=low

  * fixed not compile with kaffe. (Closes:#141250)

 -- Takashi Okamoto <tora@debian.org>  Sat, 27 Jul 2002 08:12:09 +0900

jflex (1.3.5-3) unstable; urgency=low

  * add jflex at Build-Depend. (Closes:#133719)

 -- Takashi Okamoto <tora@debian.org>  Sat, 16 Feb 2002 13:38:21 +0900

jflex (1.3.5-2) unstable; urgency=low

  * change Build-Depends to Build-Depends-Indep.
  * change /usr/share/java/JFlex.jar to /usr/share/java/JFlex-1.3.5.jar.
    new JFlex.jar is symbolic link in JFlex-1.3.5.jar .

 -- Takashi Okamoto <tora@debian.org>  Thu, 17 Jan 2002 17:07:32 +0900

jflex (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Takashi Okamoto <tora@debian.org>  Sat, 12 Jan 2002 03:29:35 +0900

jflex (1.3.2-1) unstable; urgency=low

  * Initial release.

 -- Takashi Okamoto <tora@debian.org>  Sat,  2 Jun 2001 19:17:32 +0900

=== debian/control ===
Source: jflex
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Niels Thykier <niels@thykier.net>, Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, ant
Build-Depends-Indep: default-jdk, junit
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/jflex
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/jflex
Homepage: http://www.jflex.de/

Package: jflex
Architecture: all
Depends: default-jre-headless | java1-runtime | java2-runtime, ${misc:Depends}
Enhances: ant-optional
Description: lexical analyzer generator for Java
 It is also a rewrite of the very useful tool JLex which was developed
 by Elliot Berk at Princeton University. As Vern Paxon states for
 his C/C++ tool flex : They do not share any code though.
 .
 JFlex is designed to work together with the LALR parser generator CUP
 by Scott Hudson, and the Java modification of Berkeley Yacc BYacc/J
 by Bob Jamison. It can also be used together with other parser generators
 like ANTLR or as a standalone tool.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for jflex (uses cdbs)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

export UPSTREAM_VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

JAVA_HOME := /usr/lib/jvm/default-java
ANT_HOME := /usr/share/ant

DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar junit

DEB_ANT_BUILDFILE := src/build.xml
DEB_ANT_BUILD_TARGET := jar 
DEB_ANT_CLEAN_TARGET := libclean jarclean

DEB_INSTALL_CHANGELOGS_ALL := src/changelog

install/jflex::
	install -m 644 lib/JFlex.jar debian/jflex/usr/share/java/JFlex-$(UPSTREAM_VERSION).jar
	ln -s JFlex-$(UPSTREAM_VERSION).jar debian/jflex/usr/share/java/JFlex.jar
	install -m 755 bin/jflex debian/jflex/usr/bin/jflex

## jflex 1.4.3+dfsg

=== examples/byaccj/Makefile ===
# only works with the Java extension of yacc: 
# byacc/j from http://troi.lincom-asg.com/~rjamison/byacc/

JFLEX  = jflex 
BYACCJ = yacc -J
JAVAC  = javac

# targets:

all: Parser.class

run: Parser.class
	java Parser

build: clean Parser.class

clean:
	rm -f *~ *.class *.java

Parser.class: Yylex.java Parser.java
	$(JAVAC) Parser.java

Yylex.java: calc.flex
	$(JFLEX) calc.flex

Parser.java: calc.y
	$(BYACCJ) calc.y

=== examples/cup/Makefile ===
JAVA=java
JAVAC=javac
JFLEX=jflex
CUP=$(JAVA) java_cup.Main <

all: test

test: output.txt
	@(diff output.txt output.good && echo "Test OK!") || echo "Test failed!"

output.txt: Main.class test.txt
	$(JAVA) Main test.txt > output.txt

Main.class: Main.java Lexer.java parser.java

%.class: %.java
	$(JAVAC) $^

Lexer.java: lcalc.flex
	$(JFLEX) lcalc.flex

parser.java: ycalc.cup
	$(CUP) ycalc.cup

clean:
	rm -f parser.java Lexer.java sym.java output.txt *.class *~

=== examples/java/Makefile ===
--- 
+++ 
@@ -4,16 +4,24 @@
 
 CUP        = java java_cup.Main -interface <
 JFLEX      = jflex
+JAVA       = java
 JAVAC      = javac
 #JAVAC      = jikes 
 JAVACFLAGS = 
 
 # --------------------------------------------------
 
-all: compile
+all: test
+
+test: lexer-output.txt
+	@(diff lexer-output.txt lexer-output.good && echo "Test OK!") || echo "Test failed!"
+
+lexer-output.txt: compile
+	$(JAVA) TestLexer TestLexer.java > lexer-output.txt
+
 
 compile: scanner parser unicode
-	$(JAVAC) $(JAVACFLAGS) JavaParser.java
+	$(JAVAC) $(JAVACFLAGS) JavaParser.java TestLexer.java
 
 parser: parser.java 
 
@@ -37,3 +45,4 @@
 	rm -f parser.java
 	rm -f sym.java
 	rm -f UnicodeEscapes.java
+	rm -f lexer-output.txt

=== examples/simple/Makefile ===
JAVA=java
JAVAC=javac
JFLEX=jflex
CUP=$(JAVA) java_cup.Main <

all: test

test: output.txt
	@(diff output.txt output.good && echo "Test OK!") || echo "Test failed!"

output.txt: Yylex.class test.txt
	$(JAVA) Yylex test.txt > output.txt

Yylex.class: Yylex.java Yytoken.java Utility.java

%.class: %.java
	$(JAVAC) $^

Yylex.java: simple.flex
	$(JFLEX) simple.flex

clean:
	rm -f Yylex.java output.txt *.class *~

=== debian/changelog ===
jflex (1.4.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.7.
  * Use only Build-Depends field.
  * Switch from cdbs to dh sequencer.
  * Use maven-repo-helper to install maven artifacts.
  * Add jflex.poms and pom.xml.
  * Remove Niels Thykier from Uploaders. (Closes: #770563)
  * Use canonical Vcs-URI.
  * Repack the tarball and remove pre-built JFlex.jar file.

 -- Markus Koschany <apo@debian.org>  Fri, 12 Feb 2016 18:12:32 +0100

=== debian/control ===
Source: jflex
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends:
 ant,
 debhelper (>= 9),
 default-jdk,
 junit,
 maven-repo-helper
Standards-Version: 3.9.7
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/jflex
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/jflex
Homepage: http://www.jflex.de/

Package: jflex
Architecture: all
Depends:
 default-jre-headless | java1-runtime | java2-runtime,
 ${misc:Depends}
Enhances:
 ant-optional
Description: lexical analyzer generator for Java
 It is also a rewrite of the very useful tool JLex which was developed
 by Elliot Berk at Princeton University. As Vern Paxon states for
 his C/C++ tool flex : They do not share any code though.
 .
 JFlex is designed to work together with the LALR parser generator CUP
 by Scott Hudson, and the Java modification of Berkeley Yacc BYacc/J
 by Bob Jamison. It can also be used together with other parser generators
 like ANTLR or as a standalone tool.

=== debian/rules ===
#!/usr/bin/make -f

export UPSTREAM_VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)
export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --parallel --with maven_repo_helper

override_dh_auto_build:
	ant -buildfile src/build.xml jar

override_dh_auto_clean:
	dh_auto_clean
	ant -buildfile src/build.xml libclean jarclean

override_dh_installchangelogs:
	dh_installchangelogs src/changelog

override_dh_install:
	install -m 644 lib/JFlex.jar debian/jflex/usr/share/java/JFlex-$(UPSTREAM_VERSION).jar
	ln -s JFlex-$(UPSTREAM_VERSION).jar debian/jflex/usr/share/java/JFlex.jar
	install -m 755 bin/jflex debian/jflex/usr/bin/jflex

#DEB_JARS := $(ANT_HOME)/lib/ant-launcher.jar junit

=== debian/watch ===
version=3
http://jflex.de/download.html  jflex-(.*).zip

## jflex 1.6.1

=== examples/byaccj/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # only works with the Java extension of yacc: 
 # byacc/j from http://troi.lincom-asg.com/~rjamison/byacc/
 
-JFLEX  = jflex 
+JFLEX  = ../../bin/jflex 
 BYACCJ = yacc -J
 JAVAC  = javac

=== examples/cup/Makefile ===
JAVA=java
JAVAC=javac
JFLEX=../../bin/jflex
CUPJAR=../../lib/java-cup-11a.jar
CUP=$(JAVA) -jar $(CUPJAR) <
CP=.:$(CUPJAR)

all: test

test: output.txt
	@(diff output.txt output.good && echo "Test OK!") || echo "Test failed!"

output.txt: Main.class test.txt
	$(JAVA) -cp $(CP) Main test.txt > output.txt

Main.class: Main.java Lexer.java parser.java

%.class: %.java
	$(JAVAC) -cp $(CP) $^

Lexer.java: lcalc.flex
	$(JFLEX) lcalc.flex

parser.java: ycalc.cup
	$(CUP) ycalc.cup

clean:
	rm -f parser.java Lexer.java sym.java output.txt *.class *~

=== examples/java/Makefile ===
--- 
+++ 
@@ -3,11 +3,15 @@
 # CUP classes should be included in CLASSPATH 
 
 CUP        = java java_cup.Main -interface <
-JFLEX      = jflex
+JFLEX      = ../../bin/jflex
+CUPJAR     = ../../lib/java-cup-11a.jar
+CP         = .:$(CUPJAR)
 JAVA       = java
 JAVAC      = javac
-#JAVAC      = jikes 
-JAVACFLAGS = 
+JAVACFLAGS = -cp $(CP)
+CUP        = $(JAVA) -jar $(CUPJAR)
+
+
 
 # --------------------------------------------------
 
@@ -17,7 +21,7 @@
 	@(diff lexer-output.txt lexer-output.good && echo "Test OK!") || echo "Test failed!"
 
 lexer-output.txt: compile
-	$(JAVA) TestLexer TestLexer.java > lexer-output.txt
+	$(JAVA) -cp $(CP) TestLexer TestLexer.java > lexer-output.txt
 
 
 compile: scanner parser unicode
@@ -26,7 +30,7 @@
 parser: parser.java 
 
 parser.java: java12.cup
-	$(CUP) java12.cup
+	$(CUP) -interface java12.cup
 
 scanner: Scanner.java

=== debian/changelog ===
jflex (1.6.1-3) unstable; urgency=medium

  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Use https for Format field. Update copyright years.
  * Change dependency from default-jre to default-jre-headless |
    java7-runtime-headless.
    Thanks to Kai-Chung Yan for the report. (Closes: #890345)
  * Change source/target to 1.7.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Feb 2018 22:30:33 +0100

jflex (1.6.1-2) unstable; urgency=medium

  * Tighten build-dependency on jflex.
  * Drop LexScan.flex.patch. No longer necessary with version 1.6.1 of jflex
    which is available in the archive now.
  * Update build.patch for compilation with jflex 1.6.1. (Closes: #832645)
  * Run jflex and cup before the actual build to fix a compilation error.

 -- Markus Koschany <apo@debian.org>  Thu, 28 Jul 2016 06:01:51 +0200

jflex (1.6.1-1) unstable; urgency=medium

  * Imported Upstream version 1.6.1
  * Update watch file. The project moved to Github.
  * Add get-orig-source target.
  * Update jflex.poms and use upstream's pom.xml file.
  * Move the package to Git.
  * Add myself to Uploaders. (Closes: #831816)
  * Remove debian/logo.gif because it is no longer needed for the docs.
  * Drop all patches because they are either obsolete or applied upstream.
  * Add build.patch and jflex-executable.patch to adjust build system and
    wrapper script for Debian.
  * Build-Depend on jflex and cup.
  * Add LexScan.flex.patch to fix FTBFS with the older version of JFlex.
  * Drop dirs file and remove dh_install override. Use install file instead.
  * Install changelog.md as upstream changelog.
  * Update debian/copyright to copyright format 1.0.
  * Depend on default-jre | java6-runtime because jflex requires a X11
    environment. Compile the source code for Java 6 from now on which is de
    facto already the minimum requirement in Debian.

 -- Markus Koschany <apo@debian.org>  Wed, 27 Jul 2016 06:48:48 +0200

jflex (1.4.3+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Emmanuel Bourg ]
  * Removed the timestamps from the generated files to improve
    the reproducibility of the reverse dependencies
  * Standards-Version updated to 3.9.8 (no changes)
  * Updated debian/watch to track the latest releases

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 14:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,24 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders:
- Sylvestre Ledru <sylvestre@debian.org>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  ant,
- debhelper (>= 9),
+ cup,
+ debhelper (>= 11),
  default-jdk,
+ jflex (>= 1.6.1),
  junit,
  maven-repo-helper
-Standards-Version: 3.9.7
-Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/jflex
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-java/trunk/jflex
+Standards-Version: 4.1.3
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jflex.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jflex.git
 Homepage: http://www.jflex.de/
 
 Package: jflex
 Architecture: all
 Depends:
- default-jre-headless | java1-runtime | java2-runtime,
+ default-jre-headless | java7-runtime-headless,
  ${misc:Depends}
 Enhances:
  ant-optional

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --with maven_repo_helper

override_dh_auto_build:
	mkdir -p build/generated-sources/jflex
	java -jar /usr/share/java/cup.jar \
		-parser LexParse \
		-interface \
		-destdir build/generated-sources/jflex/ \
		src/main/cup/LexParse.cup
	jflex -d build/generated-sources/jflex/ \
		--skel src/main/jflex/skeleton.nested \
		src/main/jflex/LexScan.flex
	ant -buildfile build.xml jar

override_dh_auto_clean:
	dh_auto_clean
	ant -buildfile build.xml clean

override_dh_installchangelogs:
	dh_installchangelogs changelog.md

get-orig-source:
	uscan --download-current-version --force-download --repack --compression xz

## jflex 1.7.0

=== examples/interpreter/Makefile ===
--- 
+++ 
@@ -9,12 +9,21 @@
 #    starts the program on a test example
 #                                                                     
 
+JAVA=java
+JAVAC=javac
+# Root of the project
+ROOT=../../..
+JFLEX=$(ROOT)/jflex/bin/jflex
+CUPJAR=$(ROOT)/cup/cup/java-cup-11b.jar
+CUP=$(JAVA) -jar $(CUPJAR)
+CP=.:$(CUPJAR)
 
+default: test
 
 .SUFFIXES: $(SUFFIXES) .class .java
 
 .java.class:
-	javac $*.java
+	$(JAVAC) -cp $(CP) $*.java
 
 FILE=	Yylex.java      parser.java    sym.java \
 	SymTab.java	AST.java \
@@ -26,9 +35,11 @@
 	Main.java \
 	SymtabEntry.java STEfun.java	STEvar.java
 
+run: output.txt
 
-run: all
-	java Main < example.as
+output.txt: all
+	$(JAVA) -cp $(CP) Main < example.as > output.txt
+	cat output.txt
 
 all: Yylex.java parser.java $(FILE:java=class)
 
@@ -36,7 +47,10 @@
 	rm -f *.class *~ *.bak Yylex.java parser.java sym.java
 
 Yylex.java: scanner.flex
-	jflex scanner.flex
+	$(JFLEX) scanner.flex
 
 parser.java: parser.cup
-	java java_cup.Main -interface < parser.cup
+	$(CUP) -interface < parser.cup
+
+test: output.txt
+	@(diff output.txt output.good && echo "Test OK!") || echo "Test failed!"

=== examples/java/Makefile ===
--- 
+++ 
@@ -3,8 +3,10 @@
 # CUP classes should be included in CLASSPATH 
 
 CUP        = java java_cup.Main -interface <
-JFLEX      = ../../bin/jflex
-CUPJAR     = ../../lib/java-cup-11a.jar
+# Root of the project
+ROOT       = ../../..
+JFLEX      = $(ROOT)/jflex/bin/jflex
+CUPJAR     = $(ROOT)/cup/cup/java-cup-11b.jar
 CP         = .:$(CUPJAR)
 JAVA       = java
 JAVAC      = javac

=== examples/zero-reader/Makefile ===

JFLEX      = ../../bin/jflex
JAVA       = java
JAVAC      = javac

LEXER      = ZeroLexer

# --------------------------------------------------

all: test

test: output.txt
	@(diff output.txt lexer-output.good && echo "Test OK!") || echo "Test failed!"

output.txt: $(LEXER).class test-input.txt
	$(JAVA) $(LEXER) test-input.txt > output.txt

compile: $(LEXER).class
	
$(LEXER).class: $(LEXER).java FunkyReader.java ZeroReader.java
	$(JAVAC) $^

$(LEXER).java: zero-lexer.jflex
	$(JFLEX) $<

clean:
	rm -f *.class
	rm -f *~
	rm -f $(LEXER).java
	rm -f output.txt

=== debian/changelog ===
jflex (1.7.0-1) unstable; urgency=medium

  * New upstream version 1.7.0.
  * Rebase patches for new release.
  * Tighten B-D on cup.
  * Declare compliance with Debian Policy 4.2.1.
  * Add encoding.patch and fix the FTBFS.
  * Update debian/docs for new release.

 -- Markus Koschany <apo@debian.org>  Mon, 01 Oct 2018 13:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
  Markus Koschany <apo@debian.org>
 Build-Depends:
  ant,
- cup,
+ cup (>= 0.11b-20160615-2),
  debhelper (>= 11),
  default-jdk,
+ javahelper,
  jflex (>= 1.6.1),
  junit,
  maven-repo-helper
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-java/jflex.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jflex.git
 Homepage: http://www.jflex.de/
@@ -21,6 +22,7 @@
 Architecture: all
 Depends:
  default-jre-headless | java7-runtime-headless,
+ ${java:Depends},
  ${misc:Depends}
 Enhances:
  ant-optional

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,9 @@
 #!/usr/bin/make -f
 export JAVA_HOME := /usr/lib/jvm/default-java
+export CLASSPATH := /usr/share/java/cup.jar:/usr/share/java/cup_runtime.jar
 
 %:
-	dh $@ --with maven_repo_helper
+	dh $@ --with javahelper,maven_repo_helper
 
 override_dh_auto_build:
 	mkdir -p build/generated-sources/jflex
@@ -23,6 +24,10 @@
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.md
 
+override_dh_installdocs:
+	$(RM) $(CURDIR)/examples/.gitignore
+	dh_installdocs
+
 get-orig-source:
 	uscan --download-current-version --force-download --repack --compression xz

=== debian/watch ===
version=4
  https://github.com/jflex-de/jflex/releases .*/jflex-?(\d\S*)\.tar\.gz

## jflex 1.8.2

=== examples/byaccj/Makefile ===
# Be sure to use yacc/j ; not unix yacc nor bison.
BYACCJ = yaccj -J
JFLEX  = ../../bin/jflex

run: all
	java -cp out Parser

all: build

build: Parser.class

clean:
	rm -rf out

Parser.class: Yylex.java Parser.java
	javac -d out out/*.java

Yylex.java: src/main/jflex/calc.flex
	$(JFLEX) -d out $<

Parser.java: src/main/yacc/calc.y
	$(BYACCJ) $< ;  mv Parser.java ParserVal.java out

=== examples/cup-interpreter/Makefile ===
#
# make test (or just: make)
#    generates lexer & parser, compiles all *.java files, and runs test
#

# main class
MAIN = Main

# test data
TEST_IN  = src/test/data/example.as
OUT_GOOD = src/test/data/output.good

# jflex input and output
LEXER_IN = src/main/jflex/scanner.flex
LEXER_CLASS = Lexer

# cup file
PARSER_IN = src/main/cup/parser.cup

# this parser wants its input on stdin:
PIPE_INPUT = <

include ../common/Makefile.inc

=== examples/cup-java/Makefile ===
#
# make test (or just: make)
#    generates lexer & parser, compiles all *.java files, and runs test
#

# main class
MAIN = TestLexer

# test data
TEST_IN  = src/main/java/TestLexer.java
OUT_GOOD = src/test/data/lexer-output.good

# jflex input and output
LEXER_IN = src/main/jflex/java.flex
LEXER_CLASS = Scanner

# cup file
PARSER_IN = src/main/cup/java12.cup

# this example has additional generated java files
MORE_JAVA_FILES = $(GEN)/UnicodeEscapes.java

include ../common/Makefile.inc

# second lexer, target after includes, so "all" remains default target
$(MORE_JAVA_FILES): src/main/jflex/unicode.flex
	$(JFLEX) -d $(GEN) $<

# this example has a second test, on the parser level, instead of lexer
run-parser:
	java -cp $(CUPJAR):$(OUT) JavaParser $(TEST_IN)

all: test run-parser

=== examples/cup-lcalc/Makefile ===
#
# make test (or just: make)
#    generates lexer & parser, compiles all *.java files, and runs test
#

# main class
MAIN = Main

# test data
TEST_IN  = src/test/data/test.txt
OUT_GOOD = src/test/data/output.good

# jflex input and output
LEXER_IN = src/main/jflex/lcalc.flex
LEXER_CLASS = Lexer

# cup file
PARSER_IN = src/main/cup/ycalc.cup

include ../common/Makefile.inc

=== examples/simple/Makefile ===
#
# make test (or just: make)
#    generates lexer & parser, compiles all *.java files, and runs test
#

# main class
MAIN = Yylex

# test data
TEST_IN  = src/test/data/test.txt
OUT_GOOD = src/test/data/output.good

# jflex input
LEXER_IN = src/main/jflex/simple.flex

# no cup file in this example
PARSER_OUT =

include ../common/Makefile.inc

=== examples/standalone/Makefile ===
#
# make test (or just: make)
#    generates lexer & parser, compiles all *.java files, and runs test
#

# main class
MAIN = de.jflex.example.standalone.Subst

# test data
TEST_IN  = src/test/data/sample.in
OUT_GOOD = src/test/data/sample.expected

# jflex input
LEXER_IN = src/main/jflex/standalone.flex
LEXER_CLASS = Subst

# no cup file in this example
PARSER_OUT =

# no other java files in this example
MAIN_JAVA_FILES =

include ../common/Makefile.inc

=== examples/zero-reader/Makefile ===
#
# make test (or just: make)
#    generates lexer & parser, compiles all *.java files, and runs test
#

# main class
MAIN = ZeroLexer

# test data
TEST_IN  = src/test/data/test-input.txt
OUT_GOOD = src/test/data/lexer-output.good

# jflex input
LEXER_IN = src/main/jflex/zero-lexer.jflex
LEXER_CLASS = $(MAIN)

# no cup file in this example
PARSER_OUT =

include ../common/Makefile.inc

=== debian/changelog ===
jflex (1.8.2-1) experimental; urgency=medium

  * New upstream version 1.8.2.
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Use canonical VCS URI.
  * Remove get-orig-source target
  * Switch to Maven build system.
  * Build-depend on libgoogle-auto-value-java
  * Drop encoding.patch and inputstreamctor.patch. Fix the encoding via
    maven.properties.
  * Refresh build.patch. Add LexScan.java.patch because this file is not
    correctly created with JFlex 1.7.0.
  * Add auto-value.patch to really create the AutoValue_ class from source.
  * Add privacy-breach.patch to fix a minor privacy issue for Debian users.

 -- Markus Koschany <apo@debian.org>  Mon, 26 Oct 2020 22:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,22 @@
 Build-Depends:
  ant,
  cup (>= 0.11b-20160615-2),
- debhelper (>= 11),
+ debhelper-compat (= 13),
  default-jdk,
  javahelper,
  jflex (>= 1.6.1),
  junit,
- maven-repo-helper
-Standards-Version: 4.2.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jflex.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jflex.git
-Homepage: http://www.jflex.de/
+ libgoogle-auto-value-java,
+ maven-debian-helper
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/java-team/jflex.git
+Vcs-Browser: https://salsa.debian.org/java-team/jflex
+Homepage: https://www.jflex.de/
 
 Package: jflex
 Architecture: all
 Depends:
- default-jre-headless | java7-runtime-headless,
+ default-jre-headless | java8-runtime-headless,
  ${java:Depends},
  ${misc:Depends}
 Enhances:

=== debian/rules ===
#!/usr/bin/make -f
export JAVA_HOME := /usr/lib/jvm/default-java
export CLASSPATH := /usr/share/java/cup.jar:/usr/share/java/cup_runtime.jar

%:
	dh $@ --with javahelper

override_dh_auto_build:
	java -jar /usr/share/java/cup.jar \
		-parser LexParse \
		-interface \
		-destdir src/main/java/jflex/core \
		src/main/cup/LexParse.cup
	# Does not work with 1.7.0, uncomment when 1.8.2 hits unstable.
	#jflex -d src/main/java/jflex/core \
	#	--skel src/main/jflex/skeleton.nested \
	#	src/main/jflex/LexScan.flex
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs changelog.md

override_dh_installdocs:
	$(RM) \
		$(CURDIR)/examples/.gitignore \
		$(CURDIR)/examples/simple/.gitignore \
		$(CURDIR)/examples/simple/._README.md
	dh_installdocs
